Chart-0.16: A library for generating 2D Charts and Plots

Safe Haskell | None

Graphics.Rendering.Chart.Plot.Candle

Description

Candlestick charts for financial plotting

Synopsis

- data PlotCandle x y = PlotCandle {
  - plot_candle_title_ :: String
  - plot_candle_line_style_ :: CairoLineStyle
  - plot_candle_fill_ :: Bool
  - plot_candle_rise_fill_style_ :: CairoFillStyle
  - plot_candle_fall_fill_style_ :: CairoFillStyle
  - plot_candle_tick_length_ :: Double
  - plot_candle_width_ :: Double
  - plot_candle_centre_ :: Double
  - plot_candle_values_ :: [Candle x y]
  }
- data Candle x y = Candle {
  - candle_x :: x
  - candle_low :: y
  - candle_open :: y
  - candle_mid :: y
  - candle_close :: y
  - candle_high :: y
  }
- defaultPlotCandle :: PlotCandle x y
- plot_candle_title :: forall x y. T (PlotCandle x y) String
- plot_candle_line_style :: forall x y. T (PlotCandle x y) CairoLineStyle
- plot_candle_tick_length :: forall x y. T (PlotCandle x y) Double
- plot_candle_width :: forall x y. T (PlotCandle x y) Double
- plot_candle_centre :: forall x y. T (PlotCandle x y) Double
- plot_candle_fill :: forall x y. T (PlotCandle x y) Bool
- plot_candle_rise_fill_style :: forall x y. T (PlotCandle x y) CairoFillStyle
- plot_candle_fall_fill_style :: forall x y. T (PlotCandle x y) CairoFillStyle
- plot_candle_values :: forall x y. T (PlotCandle x y) [Candle x y]

# Documentation

data PlotCandle x y Source

Value defining a financial interval: opening and closing prices, with maxima and minima; and a style in which to render them. By convention, there are different fill styles depending on whether the price rises (open < close) or falls (close < open). (This plot type can also be re-purposed for statistical intervals, e.g. minimum, first quartile, median, third quartile, maximum.)

Constructors

PlotCandle |

Fields

plot_candle_title_ :: String
plot_candle_line_style_ :: CairoLineStyle
plot_candle_fill_ :: Bool
plot_candle_rise_fill_style_ :: CairoFillStyle
plot_candle_fall_fill_style_ :: CairoFillStyle
plot_candle_tick_length_ :: Double
plot_candle_width_ :: Double
plot_candle_centre_ :: Double
plot_candle_values_ :: [Candle x y]

Instances

ToPlot PlotCandle |

data Candle x y Source

A Value holding price intervals for a given x-coord. An alternative view is that these are statistical intervals: the 0th, 25th, 50th, 75th, and 100th percentiles.

Constructors

Candle |

Fields

candle_x :: x
candle_low :: y
candle_open :: y
candle_mid :: y
candle_close :: y
candle_high :: y

Instances

(Show x, Show y) => Show (Candle x y) |

defaultPlotCandle :: PlotCandle x ySource

plot_candle_title :: forall x y. T (PlotCandle x y) String Source

plot_candle_line_style :: forall x y. T (PlotCandle x y) CairoLineStyle Source

plot_candle_tick_length :: forall x y. T (PlotCandle x y) Double Source

plot_candle_width :: forall x y. T (PlotCandle x y) Double Source

plot_candle_centre :: forall x y. T (PlotCandle x y) Double Source

plot_candle_fill :: forall x y. T (PlotCandle x y) Bool Source

plot_candle_rise_fill_style :: forall x y. T (PlotCandle x y) CairoFillStyle Source

plot_candle_fall_fill_style :: forall x y. T (PlotCandle x y) CairoFillStyle Source

plot_candle_values :: forall x y. T (PlotCandle x y) [Candle x y]Source